db_object_field_list Struct Reference

`#include <db_object.h>`

## Data Fields

db_object_field_t * | begin
db_object_field_t * | end
size_t | size

## Detailed Description

A list of object fields.

Definition at line 142 of file db_object.h.

## Field Documentation

## begin

db_object_field_t* db_object_field_list::begin

Definition at line 143 of file db_object.h.

Referenced by db_object_field_list_add(), db_object_field_list_begin(), db_object_field_list_copy(), and db_object_field_list_free().

## end

db_object_field_t* db_object_field_list::end

Definition at line 144 of file db_object.h.

Referenced by db_object_field_list_add(), and db_object_field_list_copy().

## size

size_t db_object_field_list::size

Definition at line 145 of file db_object.h.

Referenced by db_object_field_list_add(), db_object_field_list_copy(), and db_object_field_list_size().

The documentation for this struct was generated from the following file:

- src/db/db_object.h